Loading...
Searching...
No Matches
logging::DebugLog Interface Reference

Device debug log interface. More...

`import "DebugLog.idl";`

## Public Member Functions

void | clear ()
| Clear the debug log.
LogInfo | getInfo ()
| Get info about the debug log.
LogChunk | getChunk (in int refId, in int count, in RangeDirection direction)
| Fetch a chunk from the debug log.

## Detailed Description

Device debug log interface.

Definition at line 17 of file DebugLog.idl.

## Member Function Documentation

## getChunk()

LogChunk logging::DebugLog::getChunk | ( | in int | refId,
|  | in int | count,
|  | in RangeDirection | direction )

Fetch a chunk from the debug log.

For details regarding the behavior of this method refer to the description of the logging module in Log.idl.

Parameters

  refId | First log id to fetch
  count | Number of entries to fetch
  direction | Range direction

Returns
  log chunk

## getInfo()

LogInfo logging::DebugLog::getInfo | ( |  | ) |

Get info about the debug log.

Returns
  log info

The documentation for this interface was generated from the following file:

- DebugLog.idl